Vertices remain highlighted on one feature after finish using Vertex Editor

2019-04-10 05:53 PM - Steve Lowman

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:3.4.6 Regression?: No

Operating System: Windows Server 2012 using Citrix Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29644

Description

The issue goes like this:

1. Use the Vertex Editor tool to highlight the vertices of one feature, so they are the big red dots, and the Vertex Editor panel appears.

2. Click another tool (e.g. Select Features tool).

3. The big red dots remain and will not disappear.

Clearly, the red dots should disappear when you click another tool like Select Features. There is a work-around to make them disappear,

but you should not need to do this:

4. Click the Vertex Editor tool, so the Vertex Editor panel appears.

5. Close the Vertex Editor panel.

6. Right-click on another feature in the same layer.

7. Now, things will work out okay - so, when you click another tool, the Vertex Editor panel disappears, and so does the vertex

highlighting.

Sorry, the steps are a bit complicated for the work-around, which is why it is not very practical.

I think it may have something to do with how #21185 was resolved, as I did not notice this issue until that bug got fixed.

History

#1 - 2019-04-10 05:55 PM - Steve Lowman

Step 3 perhaps should say: "3. The Vertex Editor panel disappears, but the big red dots remain and will not disappear."

#2 - 2019-04-10 05:59 PM - Giovanni Manghi

- Status changed from Open to Feedback

Is a regression compared to... 2.18?

#3 - 2019-04-11 12:22 PM - Steve Lowman

I realised my steps need another amendment. Step 1 should say:

"1. Use the Vertex Editor tool to right-click and lock highlighting for the vertices of one feature, and the Vertex Editor panel appears."

I also found a better work-around, which is probably an intended behaviour. When you right-click in a feature of the active layer, it locks the highlighting for
vertices of that feature. This lock actually has a toggle behaviour, which I had not known before. So, the work-around is simply to right-click again in the

same feature or in any space that is not in an active-layer feature, and this toggles off the vertex highlighting. So, my description steps 4 to 7 are not the

best work-around.

The problem behaviour is that if the feature vertex highlighting is locked on, and you then click on another tool or toggle editing to make the layer not

editable, then the feature vertex highlighting stays locked on, even though the Vertex Tool is now disabled and/or the layer is not editable. Then, the only

way to turn off the vertex highlighting is to make any layer editable and/or click to activate the Vertex Tool and right-click twice to toggle off the vertex

highlighting.

I think this is a regression, because the feature vertex highlight lock was not available in 2.18, so the lock could not remain active inappropriately.

So, my bug description probably should be corrected, or if preferred, perhaps close this one and I will try to make a more precisely described bug report

instead.

#4 - 2019-04-11 04:20 PM - Giovanni Manghi

I think this is a regression, because the feature vertex highlight lock was not available in 2.18

the digitizing tools/code was rewritten in qgis 3... many things changed... but as this is new I don't think it classify as a regression... it may not work exactly

as expected but not a regression. Also it really does not block any workflow, correct?

#5 - 2019-04-11 04:59 PM - Steve Lowman

You may be right there. However, I think it will confuse a lot of people. I will see whether we can arrange a fix with a developer, but it may exceed our

current bug fixing budget.

#6 - 2019-04-11 10:14 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Priority changed from High to Normal

- Regression? changed from Yes to No

#7 - 2019-04-12 12:27 PM - Steve Lowman

- Status changed from Open to Closed

I am closing this one, because none of the issues I am seeing in 3.4.6 on our Citrix server are reproducible in my local nightly build installation.

So, I will wait and test 3.4.7 on release, and hope it works the same as I am finding in the nightly build.
